PISO Map API
Tài liệu API

Reverse Geocode API

Reverse geocode a GPS coordinate into a structured address. Returns place name, address components, place ID, and plus code.

I. Endpoint

GET https://api.pisomap.tech/api/maps/reverse-geocode

II. Headers

NameValueRequired
x-api-keyYour API keyYes

III. Query Parameters

NameTypeRequiredDefaultDescription
latnumberYesLatitude of the coordinate to reverse geocode
lngnumberYesLongitude of the coordinate to reverse geocode

IV. Example

Your current location: Saigon Opera House (10.77665494785082, 106.70311785181373)

curl "https://api.pisomap.tech/api/maps/reverse-geocode?lat=10.77665494785082&lng=106.70311785181373" \
  -H "x-api-key: YOUR_API_KEY"

Response:

{
  "reveal_result": {
    "place_name": "07 Công trường Lam Sơn",
    "address": {
      "full": "07 Công trường Lam Sơn, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
      "street": "Sài Gòn",
      "ward": "Hồ Chí Minh 700000",
      "city": "Việt Nam"
    },
    "lat": 10.776612799999999,
    "lng": 106.7031715,
    "place_id": "0x31752f464a267e5f:0x62a0deaefa02edd7",
    "plus_code": "7P28QPG3+M69"
  }
}

V. Response Fields

FieldTypeDescription
reveal_resultobjectTop-level reverse geocode response
place_namestringPlace or building name at the coordinate
addressobjectStructured address of the place
address.fullstringFull address of the place
address.streetstringStreet of the place (from Google Maps)
address.wardstringWard / commune of the place (from Google Maps)
address.citystringCity / district of the place (from Google Maps)
latnumberLatitude of the place
lngnumberLongitude of the place
place_idstringMaps place ID
plus_codestringPlus code of the place

VI. Errors

StatusMeaning
401Missing or invalid API key
422Invalid or missing query parameter
429Rate limit exceeded
500Internal server error

On this page